package net.sf.moholy.web.servlet.modelAndView;

import org.hamcrest.Description;
import org.hamcrest.Factory;
import org.hamcrest.TypeSafeMatcher;
import org.springframework.web.servlet.ModelAndView;

public class HasView extends TypeSafeMatcher<ModelAndView> {
	private HasView() {
	}

	public void describeTo(Description description) {
		description.appendText("view or view name set");
	}

	@Override
	public boolean matchesSafely(ModelAndView modelAndView) {
		return modelAndView.hasView();
	}

	@Factory
	public static HasView hasView() {
		return new HasView();
	}
}